### Name: logitform
### Title: Model formula for logit models
### Aliases: logitform is.logitform logitform.formula logitform.list
###   terms.logitform update.logitform model.matrix.logitform
###   model.frame.logitform
### Keywords: models

### ** Examples

v <-logitform(y~x1+x2|z1+z2)
update(v,.~.+x3-x1|.+z3-z1)
update(v,.~.-x1-x2|.)
update(v,.~.|.-z1-z2)
v <-logitform(y~x1+x2)
update(v,.~.-x1+x3)
update(v,.~.|z1+z2)

data("Fishing",package="Ecdat")
colnames(Fishing)[4:11] <- c("pr.beach","pr.pier","pr.boat","pr.charter",
                             "ca.beach","ca.pier","ca.boat","ca.charter")
Fish <- mlogit.data(Fishing,varying=c(4:11),shape="wide",choice="mode")
f <- logitform(mode~pr+ca|income)
X <- model.matrix(f,data=Fish)
X[1:6,]




